output "aws_account_id" {
  description = "AWS Account ID."
  value = data.aws_caller_identity.current.account_id
}

output "region" {
  description = "AWS region."
  value       = var.region
}

output "instances_public_ips" {
  description = "Public IPs assigned to the EC2 instance."
  value       = module.ec2.public_ip
}

output "cluster_endpoint" {
  description = "Endpoint for EKS control plane."
  value       = module.eks.cluster_endpoint
}

output "cluster_security_group_id" {
  description = "Security group ids attached to the cluster control plane."
  value       = module.eks.cluster_security_group_id
}

output "kubectl_config" {
  description = "kubectl config as generated by the module."
  value       = module.eks.kubeconfig
}

output "config_map_aws_auth" {
  description = "A kubernetes configuration to authenticate to this EKS cluster."
  value       = module.eks.config_map_aws_auth
}

output "this_lb_dns_name" {
  description = "The DNS name of the load balancer."
  value       = module.nlb.this_lb_dns_name
}

output "this_lb_zone_id" {
  description = "The zone_id of the load balancer to assist with creating DNS records."
  value       = module.nlb.this_lb_zone_id
}

output "http_tcp_listener_ids" {
  description = "The IDs of the TCP and HTTP load balancer listeners created."
  value       = module.nlb.http_tcp_listener_ids
}

output "target_group_names" {
  description = "Name of the target group. Useful for passing to your CodeDeploy Deployment Group."
  value       = module.nlb.target_group_names
}